## ansifilter 2.18%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    BOOTSTRAP_PARALLEL = --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all all-gui

override_dh_auto_install:
	dh_auto_install --destdir debian/ansifilter -- install
	DESTDIR=debian/ansifilter-gui PREFIX=/usr $(MAKE) install-gui

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/qt-gui/Makefile src/qt-gui/moc_predefs.h src/qt-gui/qrc_ansifilter.cpp

.PHONY: override_dh_auto_build

## ansifilter 2.21

=== CMakeLists.txt ===
### export CMAKE_PREFIX_PATH=/usr/local/Qt-6.5.3/

### Build and install ansifilter (lib, cli and gui).
### This cmake build file is NOT mandatory, you can still use the old makefile
### if preferred.
### The script tries to compile the GUI using Qt6, with Qt5 5.15 as fallback.

cmake_minimum_required(VERSION 3.10)

cmake_policy(SET CMP0167 NEW)

project(ansifilter-all)

# Specify C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Compile options
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -DNDEBUG -D_FILE_OFFSET_BITS=64")

# Directories
set(CORE_DIR src)
set(GUI_QT_DIR src/qt-gui)

set(INCLUDE_DIR src)


# Include Boost
find_package(Boost REQUIRED)


# Set installation directories
set(PREFIX /usr)
set(DATA_DIR ${PREFIX}/share)

set(BIN_DIR ${PREFIX}/bin)
set(LIB_DIR ${PREFIX}/lib)
set(MAN_DIR ${DATA_DIR}/man)
set(DOC_DIR ${DATA_DIR}/doc)

set(BASH_COMP_DIR ${DATA_DIR}/bash-completion/completions)
set(FISH_COMP_DIR ${DATA_DIR}/fish/vendor_completions.d)
set(ZSH_COMP_DIR ${DATA_DIR}/zsh/site-functions)

set(DESKTOP_APPS_DIR ${DATA_DIR}/applications)
set(DESKTOP_ICONS_DIR ${DATA_DIR}/icons/hicolor/256x256/apps)
set(GUI_FILES_DIR ${ansifilter_DATA_DIR}/gui_files)

# Source files
set(CORE_OBJECTS
    ${CORE_DIR}/stylecolour.cpp
    ${CORE_DIR}/stringtools.cpp
    ${CORE_DIR}/latexgenerator.cpp
    ${CORE_DIR}/texgenerator.cpp
    ${CORE_DIR}/rtfgenerator.cpp
    ${CORE_DIR}/htmlgenerator.cpp
    ${CORE_DIR}/svggenerator.cpp
    ${CORE_DIR}/codegenerator.cpp
    ${CORE_DIR}/pangogenerator.cpp
    ${CORE_DIR}/bbcodegenerator.cpp
    ${CORE_DIR}/elementstyle.cpp
    ${CORE_DIR}/preformatter.cpp
    ${CORE_DIR}/platform_fs.cpp
    ${CORE_DIR}/plaintextgenerator.cpp
)

set(CLI_OBJECTS
    ${CORE_DIR}/arg_parser.cpp
    ${CORE_DIR}/cmdlineoptions.cpp
    ${CORE_DIR}/main.cpp
)

set(GUI_OBJECTS
    ${GUI_QT_DIR}/main.cpp
    ${GUI_QT_DIR}/mydialog.cpp
)

# Library
add_library(ansifilter-lib STATIC ${CORE_OBJECTS})

# CLI executable
add_executable(ansifilter ${CLI_OBJECTS})
target_link_libraries(ansifilter ansifilter-lib ${LUA_LIBRARIES} ${Boost_LIBRARIES} dl)
set_target_properties(ansifilter PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

# Include directories
target_include_directories(ansifilter-lib PRIVATE ${INCLUDE_DIR} ${Boost_INCLUDE_DIRS})
target_include_directories(ansifilter PRIVATE ${INCLUDE_DIR} ${Boost_INCLUDE_DIRS})

# Define custom directories
target_compile_definitions(ansifilter-lib PRIVATE HL_CONFIG_DIR="${CONF_DIR}" HL_DATA_DIR="${ansifilter_DATA_DIR}" HL_DOC_DIR="${ansifilter_DOC_DIR}")
target_compile_definitions(ansifilter PRIVATE HL_CONFIG_DIR="${CONF_DIR}" HL_DATA_DIR="${ansifilter_DATA_DIR}" HL_DOC_DIR="${ansifilter_DOC_DIR}")

# Install locations
install(DIRECTORY DESTINATION ${ansifilter_DATA_DIR})
install(DIRECTORY DESTINATION ${CONF_DIR})
install(DIRECTORY DESTINATION ${GUI_FILES_DIR})
install(DIRECTORY DESTINATION ${GUI_FILES_DIR}/ext)
install(DIRECTORY DESTINATION ${GUI_FILES_DIR}/l10n)

install(FILES README.adoc ChangeLog.adoc COPYING INSTALL DESTINATION ${DOC_DIR})
install(FILES man/ansifilter.1 DESTINATION ${MAN_DIR}/man1)
install(
    FILES sh-completion/ansifilter.bash
    RENAME _ansifilter
    DESTINATION ${BASH_COMP_DIR}
)
install(FILES sh-completion/ansifilter.fish DESTINATION ${FISH_COMP_DIR})
install(
    FILES sh-completion/ansifilter.zsh
    RENAME _ansifilter
    DESTINATION ${ZSH_COMP_DIR}
)
install(FILES ansifilter.desktop DESTINATION ${DESKTOP_APPS_DIR} COMPONENT gui)
install(FILES src/gui-qt/ansifilter.xpm DESTINATION ${DESKTOP_ICONS_DIR} COMPONENT gui)

# Installation of binaries
install(TARGETS ansifilter DESTINATION ${BIN_DIR} )

# Messages for the user
add_custom_target(post-install
    COMMAND ${CMAKE_COMMAND} -E echo "Done."
    COMMAND ${CMAKE_COMMAND} -E echo "Type ansifilter --help or man ansifilter for instructions."
    COMMAND ${CMAKE_COMMAND} -E echo "Execute 'make install-gui' to install the ansifilter GUI."
    COMMAND ${CMAKE_COMMAND} -E echo "Do not hesitate to report problems. Unknown bugs are hard to fix."
)

# Uninstall target
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${ansifilter_DATA_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${ansifilter_DOC_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${CONF_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove ${MAN_DIR}/man1/ansifilter.1.gz
    COMMAND ${CMAKE_COMMAND} -E remove ${BASH_COMP_DIR}/ansifilter
    COMMAND ${CMAKE_COMMAND} -E remove ${FISH_COMP_DIR}/ansifilter.fish
    COMMAND ${CMAKE_COMMAND} -E remove ${ZSH_COMP_DIR}/_ansifilter
    COMMAND ${CMAKE_COMMAND} -E remove ${BIN_DIR}/ansifilter
    COMMAND ${CMAKE_COMMAND} -E remove ${BIN_DIR}/ansifilter-gui
    COMMAND ${CMAKE_COMMAND} -E remove ${DESKTOP_APPS_DIR}/ansifilter.desktop
    COMMAND ${CMAKE_COMMAND} -E remove ${DESKTOP_ICONS_DIR}/ansifilter.xpm
    COMMAND ${CMAKE_COMMAND} -E echo "Done."
)

# qt gui

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

# Qt version detection and setup
find_package(Qt6 COMPONENTS Core Gui Widgets)

if (NOT Qt6_FOUND)
    find_package(Qt5 5.15 COMPONENTS Core Gui Widgets)
endif()

# Add the sources
set(SOURCES
    ${GUI_QT_DIR}/main.cpp
    ${GUI_QT_DIR}/mydialog.cpp
)

# Add the headers
set(HEADERS
    ${GUI_QT_DIR}/mydialog.h
)

# Add the UI forms
set(FORMS
    ${GUI_QT_DIR}/ansifilter.ui
)

qt_wrap_ui(UIS_HDRS
    ${GUI_QT_DIR}/ansifilter.ui
)

# Add the resources
set(RESOURCES
    ${GUI_QT_DIR}/ansifilter.qrc
)

qt_add_resources(GUI_QRC_SOURCES ${GUI_QT_DIR}/ansifilter-gui.qrc)

# Create the executable
add_executable(ansifilter-gui ${SOURCES} ${HEADERS} ${FORMS} ${RESOURCES} ${UIS_HDRS})

target_link_libraries(ansifilter-gui Qt::Core Qt::Gui Qt::Widgets ansifilter-lib ${LUA_LIBRARIES} ${Boost_LIBRARIES})

set_target_properties(ansifilter-gui PROPERTIES AUTOMOC TRUE)
set_target_properties(ansifilter-gui PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

target_include_directories(ansifilter-gui PRIVATE ${INCLUDE_DIR} ${Boost_INCLUDE_DIRS})

target_compile_definitions(ansifilter-gui PRIVATE HL_CONFIG_DIR="${CONF_DIR}" HL_DATA_DIR="${ansifilter_DATA_DIR}" HL_DOC_DIR="${ansifilter_DOC_DIR}"  -DQT)

install(TARGETS ansifilter-gui DESTINATION ${BIN_DIR} OPTIONAL COMPONENT gui)

# Platform-specific configurations
if (WIN32)
    #set(DESTDIR ../..)
    #include_directories(F:/libs/lua_5.4.0/ ../../include F:/libs/boost_1_82_0)
    #add_definitions(-DWIN32)
    #remove_definitions(-DNOCRYPT)
    #set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /STATIC")
    #target_link_libraries(ansifilter-gui -LF:/git/ansifilter/src -lansifilter)
    #if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    #    target_link_libraries(ansifilter-gui -LF:/libs/lua_5.4.0/x64 -llua)
    #else()
    #    target_link_libraries(ansifilter-gui -LF:/libs/lua_5.4.0/x32 -llua)
    #endif()
    #set_target_properties(ansifilter-gui PROPERTIES RESOURCE ansifilter-gui.rc)
    #add_custom_command(TARGET ansifilter-gui POST_BUILD COMMAND F:/upx393w/upx.exe --best --force F:/git/ansifilter/ansifilter-gui.exe)
elseif (APPLE)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_OSX_DEPLOYMENT_TARGET 14.0)
    set(CMAKE_MACOSX_BUNDLE ON)
    set_target_properties(ansifilter-gui PROPERTIES MACOSX_BUNDLE_ICON_FILE ansifilter.icns)
    set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/ansifilter.icns PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
endif()

## ansifilter 2.18+dfsg1

=== debian/changelog ===
ansifilter (2.18+dfsg1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture qmake. (Closes: #-1)

  [ Sebastian Humenda ]
  * fix clean rule for auto-generated files
  * bump standards version

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 06 Feb 2023 15:20:55 +0100

ansifilter (2.18+dfsg1-1) unstable; urgency=medium

  * Initial version (Closes: #603339)

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 15 Oct 2021 11:25:18 +0200

=== debian/control ===
Source: ansifilter
Section: devel
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/humenda-guest/ansifilter.git
Vcs-Browser: https://salsa.debian.org/humenda-guest/ansifilter
Homepage: http://andre-simon.de/doku/ansifilter/en/ansifilter.php

Package: ansifilter
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parse common (terminal) ANSI codes and remove or convert them
 ANSI codes are commands embedded in a text stream to add formatting
 instructions into text. These codes are interpreted by terminal emulators like
 xterm or Putty.
 .
 ANSIFilter parses common ANSI codes to remove them or to convert them to
 another colored text file format (HTML, TeX, LaTeX, RTF, Pango or BBCode).
 Support for ANSI art files (based on codepage 437 and ANSI.SYS sequences or BIN
 /XBIN/TND files) is enabled with the --art-cp437, --art-bin and --art-tundra
 options.

Package: ansifilter-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parse common (terminal) ANSI codes and remove or convert them (GUI)
 ANSI codes are commands embedded in a text stream to add formatting
 instructions into text. These codes are interpreted by terminal emulators like
 xterm or Putty.
 .
 ANSIFilter parses common ANSI codes to remove them or to convert them to
 another colored text file format (HTML, TeX, LaTeX, RTF, Pango or BBCode).
 Support for ANSI art files (based on codepage 437 and ANSI.SYS sequences or BIN
 /XBIN/TND files) is enabled with the --art-cp437, --art-bin and --art-tundra
 options.
 .
 This package provides a GUI application.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/buildtools.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -9,7 +11,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- all all-gui
+	dh_auto_build -- all all-gui QMAKE=$(QMAKE)
 
 override_dh_auto_install:
 	dh_auto_install --destdir debian/ansifilter -- install
@@ -18,5 +20,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f src/qt-gui/Makefile src/qt-gui/moc_predefs.h src/qt-gui/qrc_ansifilter.cpp
+	rm -f src/qt-gui/moc_mydialog.cpp
+	rm -f src/qt-gui/ui_ansifilter.h
 
 .PHONY: override_dh_auto_build

## ansifilter 2.20+repack1

=== debian/changelog ===
ansifilter (2.20+repack1-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 20 Mar 2024 16:07:33 +0100

## ansifilter 2.21

=== debian/changelog ===
ansifilter (2.21-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 20 Feb 2025 22:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
 Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/humenda-guest/ansifilter.git
 Vcs-Browser: https://salsa.debian.org/humenda-guest/ansifilter
 Homepage: http://andre-simon.de/doku/ansifilter/en/ansifilter.php

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/saalen/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
